### Struct

# Qmi MessageLocInjectXtraDataInput

since: 1.22

#### Description [src]

    struct QmiMessageLocInjectXtraDataInput {
      /* No available fields */
    }

The `QmiMessageLocInjectXtraDataInput` structure contains private data and should only be accessed using the provided API.

Available since: 1.22

#### Constructors

###### qmi_message_loc_inject_xtra_data_input_new

Allocates a new `QmiMessageLocInjectXtraDataInput`.

since: 1.22

#### Instance methods

###### qmi_message_loc_inject_xtra_data_input_get_part_data

Get the ‘Part Data’ field from `self`.

since: 1.22

###### qmi_message_loc_inject_xtra_data_input_get_part_number

Get the ‘Part Number’ field from `self`.

since: 1.22

###### qmi_message_loc_inject_xtra_data_input_get_total_parts

Get the ‘Total Parts’ field from `self`.

since: 1.22

###### qmi_message_loc_inject_xtra_data_input_get_total_size

Get the ‘Total Size’ field from `self`.

since: 1.22

###### qmi_message_loc_inject_xtra_data_input_ref

Atomically increments the reference count of `self` by one.

since: 1.22

###### qmi_message_loc_inject_xtra_data_input_set_part_data

Set the ‘Part Data’ field in the message.

since: 1.22

###### qmi_message_loc_inject_xtra_data_input_set_part_number

Set the ‘Part Number’ field in the message.

since: 1.22

###### qmi_message_loc_inject_xtra_data_input_set_total_parts

Set the ‘Total Parts’ field in the message.

since: 1.22

###### qmi_message_loc_inject_xtra_data_input_set_total_size

Set the ‘Total Size’ field in the message.

since: 1.22

###### qmi_message_loc_inject_xtra_data_input_unref

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

since: 1.22